Europages Search
Search Europages suppliers by keyword or category URL. Returns company cards and pagination (1 credit).
Credit cost: 1 credit per call
Authorization
ApiKeyAuth x-api-key<token>
Your API key. Include it in the x-api-key header for every request.
In: header
Query Parameters
query*string
Keyword, or a category / search URL on Europages.
Examples:
emballagehttps://www.europages.fr/entreprises/emballage.htmlhttps://www.europages.de/de/suche/verpackungA company profile or a /products/ URL returns 400. domain applies only to a keyword (fr by default, de uses /de/suche/).
domain?string
Site of a keyword: fr (default), de, co.uk (en, uk, gb), es, it, nl, and the other Europages TLDs. Ignored when query is a URL. German uses /suche/.
Default
"fr"page?number
Page from 1. Page 2 and after use /pg-N/. 30 companies per page.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v2/europages/search?query=string"{ "results": [ { "url": "https://www.europages.fr/ALYA-PACKAGING/00000005424124-761159001.html", "city": "Istanbul", "name": "ALYA PACKAGING", "country": "Turquie", "position": 1, "employees": "50-99", "company_id": "5424124", "description": "Alya Packaging, située à Istanbul, met plus de 30 ans d'expertise au service de solutions d' emballage imprimées sur mesure. Nos capacités de conception et de production internes façonnent la...", "delivery_area": "Mondiale", "founding_year": null, "supplier_types": [ "Fabricant/Producteur" ] } ], "pagination": { "next": "https://www.europages.fr/entreprises/pg-2/emballage.html", "page": 1, "per_page": 30, "total_pages": 2327, "total_results": 69799 }}{ "error": "Bad Request"}{ "error": "Invalid API Key"}{ "error": "Payment required"}{ "error": "Rate limit exceeded for the API key: quota monthly"}{ "error": "Internal Error"}